The POS Closing Entry object

Attributes

id string

Unique identifier for the object.

created_at string

ISO 8601 timestamp of when the object was created.

updated_at string

ISO 8601 timestamp of when the object was last updated.

status string

Default: draft

period_start_date string required
period_end_date string required
posting_date string required
company string required
pos_profile string required
user string required
grand_total number

Default: 0

net_total number

Default: 0

total_quantity number
pos_opening_entry string required
error_message string
posting_time string required
total_taxes_and_charges number
The POS Closing Entry object
{
  "id": "p-o-s-closing-entry_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "status": "draft",
  "period_start_date": "2024-01-15",
  "period_end_date": "2024-01-15",
  "posting_date": "2024-01-15",
  "company": "Example Corp",
  "pos_profile": "pos_profile_example",
  "user": "user_example",
  "grand_total": 0,
  "net_total": 0,
  "total_quantity": 0,
  "pos_opening_entry": "pos_opening_entry_example",
  "error_message": "error_message_example",
  "posting_time": "posting_time_example",
  "total_taxes_and_charges": 0
}
GET /api/accounts/p-o-s-closing-entry/{id}

Retrieve a pos closing entry

Retrieves the details of an existing pos closing entry. Supply the unique pos closing entry ID that was returned from a previous request.

Path parameters

id string required

The identifier of the pos closing entry to retrieve.

Returns

Returns the pos closing entry object if a valid identifier was provided.

GET /api/accounts/p-o-s-closing-entry/{id}
curl https://api.overplane.dev/api/accounts/p-o-s-closing-entry/p-o-s-closing-entry_abc123 \
  -H "Authorization: Bearer sk_test_..."
Response
{
  "id": "p-o-s-closing-entry_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "status": "draft",
  "period_start_date": "2024-01-15",
  "period_end_date": "2024-01-15",
  "posting_date": "2024-01-15",
  "company": "Example Corp",
  "pos_profile": "pos_profile_example",
  "user": "user_example",
  "grand_total": 0,
  "net_total": 0,
  "total_quantity": 0,
  "pos_opening_entry": "pos_opening_entry_example",
  "error_message": "error_message_example",
  "posting_time": "posting_time_example",
  "total_taxes_and_charges": 0
}
GET /api/accounts/p-o-s-closing-entry

List all pos closing entrys

Returns a list of pos closing entrys. The results are sorted by creation date, with the most recently created appearing first.

Query parameters

limit integer

Maximum number of objects to return. Default: 20.

offset integer

Number of objects to skip for pagination. Default: 0.

Returns

A paginated list of pos closing entry objects.

GET /api/accounts/p-o-s-closing-entry
curl https://api.overplane.dev/api/accounts/p-o-s-closing-entry \
  -H "Authorization: Bearer sk_test_..."
Response
{
  "data": [
    {
      "id": "p-o-s-closing-entry_abc123",
      "created_at": "2024-01-15T09: 30: 00Z",
      "updated_at": "2024-01-15T09: 30: 00Z",
      "status": "draft",
      "period_start_date": "2024-01-15",
      "period_end_date": "2024-01-15",
      "posting_date": "2024-01-15",
      "company": "Example Corp",
      "pos_profile": "pos_profile_example",
      "user": "user_example",
      "grand_total": 0,
      "net_total": 0,
      "total_quantity": 0,
      "pos_opening_entry": "pos_opening_entry_example",
      "error_message": "error_message_example",
      "posting_time": "posting_time_example",
      "total_taxes_and_charges": 0
    }
  ],
  "has_more": false,
  "total": 1
}
POST /api/accounts/p-o-s-closing-entry

Create a pos closing entry

Creates a new pos closing entry object.

Body parameters

status string

Default: draft

period_start_date string required
period_end_date string required
posting_date string required
company string required
pos_profile string required
user string required
grand_total number

Default: 0

net_total number

Default: 0

total_quantity number
pos_opening_entry string required
error_message string
posting_time string required
total_taxes_and_charges number

Returns

Returns the newly created pos closing entry object if the call succeeded.

POST /api/accounts/p-o-s-closing-entry
curl https://api.overplane.dev/api/accounts/p-o-s-closing-entry \
  -H "Authorization: Bearer sk_test_..." \
  -X POST \
  -H "Content-Type: application/json" \
  -d '{"period_start_date":"2024-01-15","period_end_date":"2024-01-15","posting_date":"2024-01-15","company":"Example Corp","pos_profile":"pos_profile_example","user":"user_example","pos_opening_entry":"pos_opening_entry_example","posting_time":"posting_time_example"}'
Response
{
  "id": "p-o-s-closing-entry_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "status": "draft",
  "period_start_date": "2024-01-15",
  "period_end_date": "2024-01-15",
  "posting_date": "2024-01-15",
  "company": "Example Corp",
  "pos_profile": "pos_profile_example",
  "user": "user_example",
  "grand_total": 0,
  "net_total": 0,
  "total_quantity": 0,
  "pos_opening_entry": "pos_opening_entry_example",
  "error_message": "error_message_example",
  "posting_time": "posting_time_example",
  "total_taxes_and_charges": 0
}
PATCH /api/accounts/p-o-s-closing-entry/{id}

Update a pos closing entry

Updates the specified pos closing entry by setting the values of the parameters passed. Any parameters not provided will be left unchanged.

Path parameters

id string required

The identifier of the pos closing entry to update.

Body parameters

status string

Default: draft

period_start_date string
period_end_date string
posting_date string
company string
pos_profile string
user string
grand_total number

Default: 0

net_total number

Default: 0

total_quantity number
pos_opening_entry string
error_message string
posting_time string
total_taxes_and_charges number

Returns

Returns the updated pos closing entry object.

PATCH /api/accounts/p-o-s-closing-entry/{id}
curl https://api.overplane.dev/api/accounts/p-o-s-closing-entry/p-o-s-closing-entry_abc123 \
  -H "Authorization: Bearer sk_test_..." \
  -X PATCH \
  -H "Content-Type: application/json" \
  -d '{"status":"draft","period_start_date":"2024-01-15"}'
Response
{
  "id": "p-o-s-closing-entry_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "status": "draft",
  "period_start_date": "2024-01-15",
  "period_end_date": "2024-01-15",
  "posting_date": "2024-01-15",
  "company": "Example Corp",
  "pos_profile": "pos_profile_example",
  "user": "user_example",
  "grand_total": 0,
  "net_total": 0,
  "total_quantity": 0,
  "pos_opening_entry": "pos_opening_entry_example",
  "error_message": "error_message_example",
  "posting_time": "posting_time_example",
  "total_taxes_and_charges": 0
}
DELETE /api/accounts/p-o-s-closing-entry/{id}

Delete a pos closing entry

Permanently deletes a pos closing entry. This cannot be undone.

Path parameters

id string required

The identifier of the pos closing entry to delete.

Returns

Returns a confirmation that the pos closing entry has been deleted.

DELETE /api/accounts/p-o-s-closing-entry/{id}
curl https://api.overplane.dev/api/accounts/p-o-s-closing-entry/p-o-s-closing-entry_abc123 \
  -H "Authorization: Bearer sk_test_..." \
  -X DELETE
Response
{
  "id": "p-o-s-closing-entry_abc123",
  "deleted": true
}
POST /api/accounts/p-o-s-closing-entry/{id}/submit

Submit a pos closing entry

Submits a draft pos closing entry, transitioning its status from draft to submitted.

Path parameters

id string required

The identifier of the pos closing entry to act on.

Returns

Returns the pos closing entry object with updated status.

POST /api/accounts/p-o-s-closing-entry/{id}/submit
curl https://api.overplane.dev/api/accounts/p-o-s-closing-entry/p-o-s-closing-entry_abc123/submit \
  -H "Authorization: Bearer sk_test_..." \
  -X POST
Response
{
  "id": "p-o-s-closing-entry_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "status": "draft",
  "period_start_date": "2024-01-15",
  "period_end_date": "2024-01-15",
  "posting_date": "2024-01-15",
  "company": "Example Corp",
  "pos_profile": "pos_profile_example",
  "user": "user_example",
  "grand_total": 0,
  "net_total": 0,
  "total_quantity": 0,
  "pos_opening_entry": "pos_opening_entry_example",
  "error_message": "error_message_example",
  "posting_time": "posting_time_example",
  "total_taxes_and_charges": 0
}
POST /api/accounts/p-o-s-closing-entry/{id}/cancel

Cancel a pos closing entry

Cancels a submitted pos closing entry, transitioning its status to cancelled.

Path parameters

id string required

The identifier of the pos closing entry to act on.

Returns

Returns the pos closing entry object with updated status.

POST /api/accounts/p-o-s-closing-entry/{id}/cancel
curl https://api.overplane.dev/api/accounts/p-o-s-closing-entry/p-o-s-closing-entry_abc123/cancel \
  -H "Authorization: Bearer sk_test_..." \
  -X POST
Response
{
  "id": "p-o-s-closing-entry_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "status": "draft",
  "period_start_date": "2024-01-15",
  "period_end_date": "2024-01-15",
  "posting_date": "2024-01-15",
  "company": "Example Corp",
  "pos_profile": "pos_profile_example",
  "user": "user_example",
  "grand_total": 0,
  "net_total": 0,
  "total_quantity": 0,
  "pos_opening_entry": "pos_opening_entry_example",
  "error_message": "error_message_example",
  "posting_time": "posting_time_example",
  "total_taxes_and_charges": 0
}